My Project: Bank Class Reference

My Project

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
Bank Class Reference

`#include <bank.h>`

## Public Member Functions

| Bank ()
void | FreeBank ()
void | ResizeBank (int size)
int | BankSize ()
void | PokeByte (int offset, char c)
void | PokeShort (int offset, short s)
void | PokeInt (int offset, int i)
void | PokeFloat (int offset, float f)
char | PeekByte (int offset)
short | PeekShort (int offset)
int | PeekInt (int offset)
float | PeekFloat (int offset)

## Static Public Member Functions

static Bank * | CreateBank (int size)
static void | CopyBank (Bank *src_bank, int src_offset, Bank *des_bank, int des_offset, int count)

## Public Attributes

void * | buffer
int | size

## Constructor & Destructor Documentation

## § Bank()

Bank::Bank | ( |  | ) |

inline

## Member Function Documentation

## § BankSize()

int Bank::BankSize | ( |  | ) |

inline

## § CopyBank()

static void Bank::CopyBank | ( | Bank * | src_bank,
|  | int | src_offset,
|  | Bank * | des_bank,
|  | int | des_offset,
|  | int | count
| ) |  |

inlinestatic

## § CreateBank()

static Bank* Bank::CreateBank | ( | int | size | ) |

inlinestatic

## § FreeBank()

void Bank::FreeBank | ( |  | ) |

inline

## § PeekByte()

char Bank::PeekByte | ( | int | offset | ) |

inline

## § PeekFloat()

float Bank::PeekFloat | ( | int | offset | ) |

inline

## § PeekInt()

int Bank::PeekInt | ( | int | offset | ) |

inline

## § PeekShort()

short Bank::PeekShort | ( | int | offset | ) |

inline

## § PokeByte()

void Bank::PokeByte | ( | int | offset,
|  | char | c
| ) |  |

inline

## § PokeFloat()

void Bank::PokeFloat | ( | int | offset,
|  | float | f
| ) |  |

inline

## § PokeInt()

void Bank::PokeInt | ( | int | offset,
|  | int | i
| ) |  |

inline

## § PokeShort()

void Bank::PokeShort | ( | int | offset,
|  | short | s
| ) |  |

inline

## § ResizeBank()

void Bank::ResizeBank | ( | int | size | ) |

inline

## Member Data Documentation

## § buffer

void* Bank::buffer

## § size

int Bank::size

The documentation for this class was generated from the following file:

- openb3dlib.mod/openb3d/src/bank.h